# Uses of Interface
com.usatiuk.dhfs.jkleppmanntree.structs.JKleppmannTreeNodeMeta

Packages that use JKleppmannTreeNodeMeta
Package
Description
com.usatiuk.dhfs.jkleppmanntree
com.usatiuk.dhfs.jkleppmanntree.structs
com.usatiuk.dhfs.peersync.structs
com.usatiuk.dhfsfs.objects

## Uses of JKleppmannTreeNodeMeta in com.usatiuk.dhfs.jkleppmanntree

Methods in com.usatiuk.dhfs.jkleppmanntree that return types with arguments of type JKleppmannTreeNodeMeta
Modifier and Type
Method
Description
`LogInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`getLog()`
`OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeOpWrapper.`op()`
Returns the value of the `op` record component.
Methods in com.usatiuk.dhfs.jkleppmanntree with parameters of type JKleppmannTreeNodeMeta
Modifier and Type
Method
Description
`JKleppmannTreeNode`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`createNewNode(JObjectKey key, JObjectKey parent, JKleppmannTreeNodeMeta meta)`
`void`
JKleppmannTreeManager.JKleppmannTree.`move(JObjectKey newParent, JKleppmannTreeNodeMeta newMeta, JObjectKey node)`
`void`
JKleppmannTreeManager.JKleppmannTree.`trash(JKleppmannTreeNodeMeta newMeta, JObjectKey nodeKey)`
Method parameters in com.usatiuk.dhfs.jkleppmanntree with type arguments of type JKleppmannTreeNodeMeta
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<String,JObjectKey>`
JKleppmannTreeManager.JKleppmannTree.`findParent(Function<TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>,Boolean> predicate)`
`JKleppmannTreeManager.JKleppmannTree`
JKleppmannTreeManager.`getTree(JObjectKey name, Supplier<JKleppmannTreeNodeMeta> rootNodeSupplier)`
`void`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`putNode(TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> node)`
Constructor parameters in com.usatiuk.dhfs.jkleppmanntree with type arguments of type JKleppmannTreeNodeMeta
Modifier
Constructor
Description
``
`JKleppmannTreeOpWrapper(JObjectKey treeName, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> op)`
Creates an instance of a `JKleppmannTreeOpWrapper` record class.

## Uses of JKleppmannTreeNodeMeta in com.usatiuk.dhfs.jkleppmanntree.structs

Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return JKleppmannTreeNodeMeta
Modifier and Type
Method
Description
`JKleppmannTreeNodeMeta`
JKleppmannTreeNode.`meta()`
Returns the value of the `meta` record component.
`JKleppmannTreeNodeMeta`
JKleppmannTreeNodeMeta.`withName(String name)`
Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return types with arguments of type JKleppmannTreeNodeMeta
Modifier and Type
Method
Description
`OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeNode.`lastEffectiveOp()`
Returns the value of the `lastEffectiveOp` record component.
`org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>`
JKleppmannTreePersistentData.`log()`
Returns the value of the `log` record component.
`org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>>`
JKleppmannTreePersistentData.`queues()`
Returns the value of the `queues` record component.
Methods in com.usatiuk.dhfs.jkleppmanntree.structs with parameters of type JKleppmannTreeNodeMeta
Modifier and Type
Method
Description
`JKleppmannTreeNode`
JKleppmannTreeNode.`withMeta(JKleppmannTreeNodeMeta meta)`
Method parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type JKleppmannTreeNodeMeta
Modifier and Type
Method
Description
`JKleppmannTreeNode`
JKleppmannTreeNode.`withLastEffectiveOp(OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withLog(org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withQueues(org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues)`
Constructors in com.usatiuk.dhfs.jkleppmanntree.structs with parameters of type JKleppmannTreeNodeMeta
Modifier
Constructor
Description
``
`JKleppmannTreeNode(JObjectKey id, JObjectKey parent, JKleppmannTreeNodeMeta meta)`
``
`JKleppmannTreeNode(JObjectKey key, JObjectKey parent, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp, JKleppmannTreeNodeMeta meta, org.pcollections.PMap<String,JObjectKey> children)`
Creates an instance of a `JKleppmannTreeNode` record class.
Constructor parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type JKleppmannTreeNodeMeta
Modifier
Constructor
Description
``
`JKleppmannTreeNode(JObjectKey key, JObjectKey parent, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp, JKleppmannTreeNodeMeta meta, org.pcollections.PMap<String,JObjectKey> children)`
Creates an instance of a `JKleppmannTreeNode` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.

## Uses of JKleppmannTreeNodeMeta in com.usatiuk.dhfs.peersync.structs

Classes in com.usatiuk.dhfs.peersync.structs that implement JKleppmannTreeNodeMeta
Modifier and Type
Class
Description
`final record`
`JKleppmannTreeNodeMetaPeer`
Methods in com.usatiuk.dhfs.peersync.structs that return JKleppmannTreeNodeMeta
Modifier and Type
Method
Description
`JKleppmannTreeNodeMeta`
JKleppmannTreeNodeMetaPeer.`withName(String name)`

## Uses of JKleppmannTreeNodeMeta in com.usatiuk.dhfsfs.objects

Classes in com.usatiuk.dhfsfs.objects that implement JKleppmannTreeNodeMeta
Modifier and Type
Class
Description
`final record`
`JKleppmannTreeNodeMetaDirectory`
JKleppmannTreeNodeMetaDirectory is a record that represents a directory in the JKleppmann tree.
`final record`
`JKleppmannTreeNodeMetaFile`
JKleppmannTreeNodeMetaFile is a record that represents a file in the JKleppmann tree.
Methods in com.usatiuk.dhfsfs.objects that return JKleppmannTreeNodeMeta
Modifier and Type
Method
Description
`JKleppmannTreeNodeMeta`
JKleppmannTreeNodeMetaDirectory.`withName(String name)`
`JKleppmannTreeNodeMeta`
JKleppmannTreeNodeMetaFile.`withName(String name)`